# PropertyProjection Class Reference
[Object projections for use in Criteria queries]

Inheritance diagram for PropertyProjection:
[legend]

List of all members.

## Public Member Functions

| process (Criteria $criteria, JoinCapableQuery $query)

## Detailed Description

Definition at line 15 of file PropertyProjection.class.php.

## Member Function Documentation

PropertyProjection::process | ( | Criteria $ | criteria,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  JoinCapableQuery

Definition at line 20 of file PropertyProjection.class.php.

References SelectField::create(), Criteria::getDao(), and Assert::isNotNull().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Criteria/Projections/PropertyProjection.class.php